# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/nvmem/layouts/kontron,sl28-vpd.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NVMEM layout of the Kontron SMARC-sAL28 vital product data

maintainers:
  - Michael Walle <michael@walle.cc>

description:
  The vital product data (VPD) of the sl28 boards contains a serial
  number and a base MAC address. The actual MAC addresses for the
  on-board ethernet devices are derived from this base MAC address by
  adding an offset.

select: false

properties:
  compatible:
    oneOf:
      - items:
          - enum:
              - kontron,sa67-vpd
          - const: kontron,sl28-vpd
      - const: kontron,sl28-vpd

  serial-number:
    type: object
    description: The board's serial number

    additionalProperties: false

  base-mac-address:
    type: object
    description:
      Base MAC address for all on-module network interfaces. The first
      argument of the phandle will be treated as an offset.

    properties:
      "#nvmem-cell-cells":
        const: 1

    additionalProperties: false

required:
  - compatible

additionalProperties: false

examples:
  - |
      otp-1 {
          compatible = "user-otp";

          nvmem-layout {
              compatible = "kontron,sl28-vpd";

              serial_number: serial-number {
              };

              base_mac_address: base-mac-address {
                  #nvmem-cell-cells = <1>;
              };
          };
      };

...
